> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tenant

> Create a new tenant



## OpenAPI

````yaml POST /partner/tenants
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /partner/tenants:
    post:
      tags:
        - Tenants
      summary: Create Tenant
      description: Create a new tenant
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                external_id:
                  type: string
                  description: >-
                    The external id of the business (e.g. the id you use to
                    identify the business in your system)
                website:
                  type: string
                  description: The website of the business
                locations:
                  type: array
                  items:
                    type: object
                    properties:
                      addressLine1:
                        type: string
                      addressLine2:
                        type: string
                      addressLine3:
                        type: string
                      locality:
                        type: string
                        description: The city or town of the business (e.g. New York)
                      district:
                        type: string
                        description: The State (e.g. NY, CA, etc.) of the business
                      postalCode:
                        type: string
                        description: The postal code of the business
                      countryCode:
                        type: string
                        description: The country code of the business (e.g. USA)
                    required:
                      - addressLine1
                      - locality
                      - district
                      - postalCode
                      - countryCode
                  description: The locations of the business
                name:
                  type: string
                  description: A friendly name for the business
                branding:
                  type: object
                  nullable: true
                  properties:
                    logoBase64:
                      type: string
                      nullable: true
                      description: >-
                        Base64 encoded logo image. We recommend 128px x 128px
                        for best results. (either this or logoURL)
                    logoURL:
                      type: string
                      nullable: true
                      description: >-
                        Absolute URL for the brand logo. We recommend 128px x
                        128px for best results. (either this or logoBase64)
                    primaryColor:
                      type: string
                      nullable: true
                      description: The primary color of the business.
                    secondaryColors:
                      type: array
                      nullable: true
                      items:
                        type: string
                      description: Secondary brand colors.
                    brandName:
                      type: string
                      nullable: true
                      description: The name of the brand.
                    primaryPhone:
                      type: string
                      nullable: true
                      description: The primary phone of the business.
                    primaryEmail:
                      type: string
                      nullable: true
                      format: email
                      description: The primary email of the business.
                    brandTagline:
                      type: string
                      nullable: true
                      description: The brand tagline or slogan.
                    brandPersonality:
                      type: object
                      nullable: true
                      properties:
                        tone:
                          type: string
                          nullable: true
                          description: Brand tone.
                        voice:
                          type: string
                          nullable: true
                          description: Brand voice.
                        values:
                          type: array
                          nullable: true
                          items:
                            type: string
                          description: Brand values.
                      description: Brand personality details.
                    colorPalette:
                      type: object
                      nullable: true
                      properties:
                        primary:
                          type: string
                          nullable: true
                          description: Primary color.
                        secondary:
                          type: array
                          nullable: true
                          items:
                            type: string
                          description: Secondary colors.
                        accent:
                          type: array
                          nullable: true
                          items:
                            type: string
                          description: Accent colors.
                        background:
                          type: array
                          nullable: true
                          items:
                            type: string
                          description: Background colors.
                        text:
                          type: array
                          nullable: true
                          items:
                            type: string
                          description: Text colors.
                      description: Brand color palette.
                  description: Optional branding information for the business
                dataIntegrationCompletedAt:
                  type: string
                  nullable: true
                  description: The date and time the business completed data integration
                websiteTrackingCompletedAt:
                  type: string
                  nullable: true
                  description: >-
                    The date and time the business completed website tracking
                    configuration
                measureDateAttributionStyle:
                  type: string
                  enum:
                    - click
                    - transaction
                  description: The date attribution style to use when measuring metrics
                smsOptInImageUrls:
                  type: array
                  items:
                    type: string
                    format: uri
                  description: >-
                    Array of URLs that demonstrate how SMS consent is obtained.
                    Can be image URLs (screenshots) or URLs to ordering/checkout
                    pages where consent is captured.
              required:
                - external_id
                - locations
                - name
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The id of the business
                      externalId:
                        type: string
                        nullable: true
                        description: The external id of the business
                      website:
                        type: string
                        nullable: true
                        description: The website of the business
                      locations:
                        type: array
                        nullable: true
                        items:
                          type: object
                          properties:
                            addressLine1:
                              type: string
                            addressLine2:
                              type: string
                            addressLine3:
                              type: string
                            locality:
                              type: string
                              description: The city or town of the business (e.g. New York)
                            district:
                              type: string
                              description: The State (e.g. NY, CA, etc.) of the business
                            postalCode:
                              type: string
                              description: The postal code of the business
                            countryCode:
                              type: string
                              description: The country code of the business (e.g. USA)
                          required:
                            - addressLine1
                            - locality
                            - district
                            - postalCode
                            - countryCode
                        description: The locations of the business
                      name:
                        type: string
                        description: A friendly name for the business
                      dataIntegrationComplete:
                        type: boolean
                        description: Whether the business is fully ingested
                      smsOptInImageUrls:
                        type: array
                        nullable: true
                        items:
                          type: string
                          format: uri
                        description: >-
                          Array of URLs that demonstrate how SMS consent is
                          obtained. Can be image URLs (screenshots) or URLs to
                          ordering/checkout pages where consent is captured.
                    required:
                      - id
                      - externalId
                      - website
                      - name
                      - dataIntegrationComplete
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````